# Cloud Constructs #

## Usage ##

```javascript
import { Stack, Settings, Construct, Synthesize, Resources } from "@cloud-technology/constructs";

class Infrastructure extends Stack {
    constructor( scope: Construct, name: string, settings: Settings) {
        super( scope, name, settings);

        new Resources.Parameter( this, name, {
            type: "SecureString",
            value: JSON.stringify( { User: "Username", Password: "S3creT123!" } ),
            name: "Credentials",
            force: true
        } );
    }
}

await Synthesize(Infrastructure);
```
